Tandem Device Updater

Tandem carefully develops software updates to ensure your safety and satisfaction. Please review the instructions and take time to understand the new features before beginning your update.  

t:slim Pump update

This update, available for t:slim Pumps purchased before April 2015, includes an expansion of the reverse correction functionality, the ability to enter a manual bolus directly in the suggested bolus window, off-pump cartridge filling, and other features that enhance convenience and flexibility. Pumps purchased after April 2015 already include these updates.

Get ready

Before you begin, please consult the Tandem Device Updater User Guide and make sure you have the following on hand:


  • Your unique Update ID Number, sent to you in an email. If you did not receive an email from us, give our Customer Support Team a call at (877) 801-6901. The Software Support Team is available between 6:00 AM to 6:00 PM Pacific Time.
  • A backup insulin delivery option, such as a syringe and fast-acting insulin, in case there are any issues updating your pump.
  • Your blood glucose meter so that you can check your BG prior to starting the update.
  • A convenient time to stop all insulin delivery, detach your infusion set, and remove your cartridge. We recommend performing the update when you are ready to change your cartridge.
  • A computer with an internet connection. If you are using a laptop, make sure that it remains plugged in to a wall outlet during the half hour it will take to complete the update.
  • And remember, the t:flex and t:slim G4 pumps are not currently compatible with the Tandem Device Updater.
  •  

    Install the Tandem Device Updater

    Click the link below to download and install the Tandem Device Updater on your computer.
    The Tandem Device Updater is a software program that runs on your computer and allows you to update the software on your pump. If you’ve previously completed this installation, you can skip the download and open the Device Updater now.

    MAC PC

    System Requirements

    Update your pump software

    The Tandem Device Updater should automatically start after you install it on your computer. Follow the prompts to update your device.

    If the Tandem Device Updater encounters a condition that will not allow you to continue with an update, you will see an error message on your computer screen. Follow the on-screen instructions to resolve the error and continue with your update, or contact Customer Support at (877) 801-6901. 

    If you have trouble connecting your pump or starting an update, reference the Troubleshooting section of the Tandem Device Updater User Guide.
     
    900

    System Requirements

    To update your pump, one of the following operating systems is required:

    • Microsoft® Windows® 10 (64 bit)
    • Microsoft® Windows® 8 (64 bit)
    • Microsoft® Windows® 7 (32 or 64 bit)
    • macOS™ Sierra (v10.12x)
    • Mac® OS X® El Capitan (v10.11.x)
    • Mac® OS X® Yosemite (v10.10.x)

    The following are the minimum computer requirements:

    • 1 GB RAM
    • 1 GB of available disk space
    • x86 compatible
    • 1.6 GHz processor or faster
    • USB 1.1 port or later
    • Screen display capable of at least 1024 by 768 resolution

    In order to install the Device Updater, you will need sufficient access rights on your computer.

    Back to Top